<?php

// Bei Verwendung von ldaps muss sicher gestellt werden, dass
// der korrekte Host angegeben wird, welcher auch im Zertifikat
// angegeben wurde.
// $ldaphost = "ldap://ldap.privat.lan/";
// $ldapport = "389";
   $ldaphost = "ldaps://ldap.priva.lan/";
   $ldapport = "636";

// verwenden von ldap bind
// $ldaprdn  = 'uname';     // ldap rdn oder dn
   $ldappass = 'password';  // entsprechendes password

// verbinden zum LDAP-Server
print "Server:".$ldaphost."<br/>";
print "Port  :".$ldapport."<br/>";

// aktiviere Debuglog -> /var/www/log/error_log
ldap_set_option(NULL, LDAP_OPT_DEBUG_LEVEL, 7);

$ldapconn = ldap_connect( $ldaphost, $ldapport )
   or die( "Keine Verbindung zu {$ldaphost} mglich" );

print "Verbindung hergestellt<br/>";

// Protokoll setzen
if (ldap_set_option($ldapLink,LDAP_OPT_PROTOCOL_VERSION,3))
{
    print "Using LDAP v3</br/>";
}else{
    print "Failed to set version to protocol 3</br/>";
}

if ($ldapconn) {
    // binden zum LDAP-Server
    if ($ldaprdn == "") {
        // ohne Authentifizierung
        print "Anonymous login</br/>";
        $ldapbind = ldap_bind($ldapconn);
    } else {
        // mit Authentifizierung
        print "Login with user/password:".$ldaprdn."/".$ldappass."</br/>";
        $ldapbind = ldap_bind($ldapconn, $ldaprdn, $ldappass);
    }

    // Bindung berprfen
    if ($ldapbind) {
        print "LDAP bind erfolgreich.<br/>";
    } else {
        print "LDAP bind fehlgeschlagen.<br/>";
    }
}
?>
